Bug 227263 - Problem with partition table on an intel mac
Problem with partition table on an intel mac
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
bzcl34nup
:
Depends On:
Blocks: FC7Target
  Show dependency treegraph
 
Reported: 2007-02-04 03:57 EST by Simon Strandman
Modified: 2013-01-09 23:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-03 16:32:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Strandman 2007-02-04 03:57:22 EST
Hello

I've recently tried to get Linux installed on my macbook. It's the latest
revision with a core 2 duo CPU. 

The problem is with the dual MBR/GPT partiton table. When I create the root and
swap partitions everything seems to work and the installations succeeds. But the
system refuses to boot and the rEFIt bootloader and Apples built in bootloader
thinks the root partition is a windows leagacy partition (ie. FAT32).

Fedora is not alone with this problem. First I tried to get opensuse installed.
Opensuse, unlike fedora it seems, doesn't automatically sync the GPT and MBR
partition tables so I had to do that myself and this is the output:

/root # ./gptsync /dev/sda

Current GPT partition table:
 #      Start LBA      End LBA  Type
 1             40       409639  EFI System (FAT)
 2         409640    134627367  Mac OS X HFS+
 3      134627368    135701055  Basic Data
 4      135701056    156301454  EFI System (FAT)

Current MBR partition table:
 # A    Start LBA      End LBA  Type
 1              1    156301487  ee  EFI Protective

Status: MBR table must be updated.

Proposed new MBR partition table:
 # A    Start LBA      End LBA  Type
 1              1       409639  ee  EFI Protective
 2         409640    134627367  af  Mac OS X HFS+
 3 *    134627368    135701055  0b  FAT32
 4      135701056    156301454  ef  EFI System (FAT)

May I update the MBR as printed above? [y/N] n
No

As you can see partitions 3 and 4 are not listed as swap and ext3. If you want I
can reinstall fedora and post the fdisk output from it, which should show
something similar.

A workaround that I found on the ubuntu forums is to not create a swap
partition. If I only create the root everything works and Linux boots.

The version I'm trying to install is fc7test but I guess other versions would
suffer from the same problem as all distributions I've tried does.
Comment 1 Matthew Miller 2007-04-10 12:36:49 EDT
Fedora 7 test bugs should be filed against "devel", not against test1/2/3. This
isn't obvious, I know. Moving this report so it isn't lost.

This is a bulk message -- I apologize if this was actually meant to be targeted
against a different release. If so, please fix or let me know. Thanks.
Comment 2 Bug Zapper 2008-04-03 15:01:10 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Jesse Keating 2008-04-03 16:32:42 EDT
Installs to intel mac hardware have been working for a while now, closing this bug.

Note You need to log in before you can comment on or make changes to this bug.